Get Loyalty Rule Edits
Retrieve configured loyalty rule edits with optional pagination and filters
GET
Retrieve configured loyalty rule edits with optional pagination and filters
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Query Parameters
loyaltyRuleIdbooleanrequired
ID of the loyalty rule
organizationIdstring<uuid>
Unique identifier for the organization to filter by
websiteIdstring<uuid>
Unique identifier for the website to filter by
startingAfterstring<uuid>
Pagination cursor to start after a specific rule edit ID
limitinteger
Maximum number of edits to return
Required range:
x >= 1, x <= 1000Response
application/json
200
dataarray<object>requireddata.idstring<uuid>requiredUnique identifier for the rule edit
data.loyaltyRuleIdstring<uuid>requiredID of the loyalty rule
data.websiteIdstring<uuid>requiredUnique identifier for the website
data.organizationIdstring<uuid>requiredUnique identifier for the organization
data.editedByUserIdstring<uuid>requiredUser ID of the user who made the edit
data.editedAtstring<date-time>requiredTimestamp of when the rule edit was made
data.action"create" | "update" | "delete" | "restore"requiredType of action that was made on the rule
Allowed values:
"create" | "update" | "delete" | "restore"data.dataobjectrequiredData that was changed on the rule
data.previousDataobjectPrevious data of the rule before the edit
data.commentstringComment that was made on the edit
hasNextPagebooleanrequired